exports.__esModule = true;
exports.default = _get;

var _getPrototypeOf = _interopRequireDefault(require("../core-js/object/get-prototype-of"));

var _getOwnPropertyDescriptor = _interopRequireDefault(require("../core-js/object/get-own-property-descriptor"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _get(object, property, receiver) {
  if (object === null) object = Function.prototype;
  var desc = (0, _getOwnPropertyDescriptor.default)(object, property);

  if (desc === undefined) {
    var parent = (0, _getPrototypeOf.default)(object);

    if (parent === null) {
      return undefined;
    } else {
      return _get(parent, property, receiver);
    }
  } else if ("value" in desc) {
    return desc.value;
  } else {
    var getter = desc.get;

    if (getter === undefined) {
      return undefined;
    }

    return getter.call(receiver);
  }
}