exports.__esModule = true;
exports.default = _set;

var _getPrototypeOf = _interopRequireDefault(require("../core-js/object/get-prototype-of"));

var _getOwnPropertyDescriptor = _interopRequireDefault(require("../core-js/object/get-own-property-descriptor"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _set(object, property, value, receiver) {
  var desc = (0, _getOwnPropertyDescriptor.default)(object, property);

  if (desc === undefined) {
    var parent = (0, _getPrototypeOf.default)(object);

    if (parent !== null) {
      _set(parent, property, value, receiver);
    }
  } else if ("value" in desc && desc.writable) {
    desc.value = value;
  } else {
    var setter = desc.set;

    if (setter !== undefined) {
      setter.call(receiver, value);
    }
  }

  return value;
}